body, html {
	margin: 0;
	padding: 0;
	background-color: black;
}

h1, h2, h3, p {
	margin: 2px;
}

a {
	color: inherit;
	text-decoration: none;
	font-style: italic;
}

li {
	list-style-type: "█ ";
    white-space: normal;
}

@font-face {
  font-family: LeFont;
  src: url(fonts/ibm.ttf);
}

/* CRT Screen */
.page {
	background-color: rgb(222,222,222);
	position: relative;
	width: 700px;
	height: 100%;
    margin: 2% auto;
    padding: 40px 40px 60px;
    border-radius: 10px;
	box-shadow: inset -5px -5px 5px 2px rgba(0,0,0,0.3),
				inset 5px 5px 5px 2px rgba(255,255,255,0.6);
}
.shadow1 {
	display: block;
	box-shadow: inset 0 0 80px 50px rgba(0,0,0,0.7);
	background-color: rgba(255,0,0,0);
	background-image: url('images/screen_tile.png');
	width: 100%;
	height: 100%;
	position: absolute;
	border-radius: 30px;
	z-index: 10;
	pointer-events: none;
}
.screen1 {
	display: grid;
	background-color: rgba(50,50,50,1);
	width: 640px;
	height: 480px;
	margin: 10px;
	padding: 20px;
	position: relative;
	border-radius: 30px;
	box-shadow: -3px -3px 3px 1px rgba(35,161,35,0.6),
				3px 3px 3px 1px rgba(50,255,50,0.6);
	grid-template-columns: auto auto auto 30%;
	grid-template-areas: 
	'header header header header'
	'main main main menu'
	'main main main more'
	'footer footer footer footer';
}
.header, .main, .menu, .more, .footer {
	background-color: rgba(50,50,50,1);
    font-family: "LeFont", "Lucida Console", "Courier New", monospace;
	color: rgba(0,256,0,1);
	border: 2px solid rgba(0,256,0,1);
	margin: 10px;
	padding: 10px;
	overflow: hidden;
}
.header {
	grid-area: header;
	margin-top: auto;
	margin-bottom: auto;
}
.main {
	grid-area: main;
	padding-left: 15px;
}
.menu {
	grid-area: menu;
}
.more {
	grid-area: more;
}
.menu a,
.more a {
	cursor: pointer;
}
.main li,
.menu li,
.more li {
	margin-left: 15px;
}
.footer {
	grid-area: footer;
	margin-top: auto;
	margin-bottom: auto;
}

.gui {
	position: absolute;
	bottom: 0;
	right: 0;
	padding-bottom: 2.5%;
	padding-right: 8%;
}
#power {
	background-color: rgb(196,196,196);
	float: right;
	height: 21px;
	padding-right: 80px;
	border-radius: 5px;
	box-shadow: inset -1px -1px 2px 1px rgba(255,255,255,0.6),
	inset 1px 1px 2px 1px rgba(0,0,0,0.3);
}
#led {
	float: right;
	margin-right: 5px;
}

/* Plasma Screen */
.plasma {
	background-color: rgb(30, 28, 23);
	position: relative;
	width: 750px;
	margin: 2% auto;
	padding: 20px 10px 20px 20px;
	border-radius: 1px;
	box-shadow: inset -3px -3px 3px 2px rgba(0,0,0,0.3),
	inset 3px 3px 3px 2px rgba(255,255,255,0.2);
	overflow: hidden;
}
.screen2 {
	background-color: rgb(141,64,5);
	position: relative;
	width: 93%;
	height: 60px;
	margin-top: auto;
	margin-bottom: auto;
	padding: 5px;
	border-radius: 2px;
	box-shadow: -3px -3px 3px 1px rgba(103,51,0,0.83),
	3px 3px 3px 1px rgba(255,135,50,0.6);
	font-family: "LeFont", "Lucida Console", "Courier New", monospace;
	color: rgb(218,95,0);
	overflow: hidden;
}
.screen2.active {
	background-color: rgb(28,28,28);
	box-shadow: -3px -3px 3px 1px rgba(0,0,0,0.8),
	3px 3px 3px 1px rgba(255,255,255,0.2);
	font-family: "LeFont", "Lucida Console", "Courier New", monospace;
	color: white;
}
#web_buttons {
	display: inline-block;
	white-space: nowrap;
	--screen_end: 0;
	animation: none;
}
.shadow2 {
	display: block;
	background-color: rgba(0,0,0,0);
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	position: absolute;
	border-radius: 2px;
	z-index: 11;
	pointer-events: none;
}
.p_filter {
	filter: grayscale(100%) contrast(100%) brightness(45%) sepia(100%) saturate(500%) hue-rotate(-10deg);
}

/* Sliding Web Buttons */
@keyframes slide{
	0% {
		transform: translateX(5px);
	}
	100% {
		transform: translateX(var(--screen_end));
	}
}

/* Contrast Knob */
.knob {
	appearance: none;
	float: right;
	margin-right: 1.5%;
	height: 100%;
	width: 1%;
	border-radius: 5px;
	max-height: 65px;
	background: rgba(0,0,0,0.5);
}
.knob::-webkit-slider-thumb {
	cursor: pointer;
	background: url("images/knob.png");
	width: 15px;
	height: 27px;
	border: 0;
	border-radius: 0;
}
.knob::-moz-range-thumb {
	cursor: pointer;
	background: url("images/knob.png");
	width: 15px;
	height: 27px;
	border: 0;
	border-radius: 0;
}
.knob::-ms-thumb {
	cursor: pointer;
	background: url("images/knob.png");
	width: 15px;
	height: 27px;
	border: 0;
	border-radius: 0;
}

/* Jelly container styling */
.jelly {
	position: absolute;
	display: none;
	box-shadow: 0 0 10px 0 rgba(0,0,0,0.3),
	inset -5px -5px 5px 2px rgba(0,0,0,0.3),
	inset 5px 5px 5px 2px rgba(255,255,255,0.6);
	color: rgba(0,0,0,0.3);
	text-shadow: -2px -2px 2px rgba(0,0,0,0.3),
	2px 2px 1px rgba(255,255,255,0.6);
	border-radius: 10px;
	margin: 10px;
	padding: 10px;
	max-width: 256px;
	height: auto;
	cursor: grab;
	transition: transform 0.1s ease;
	user-select: none;
	z-index: 15;
}
.jelly.dragging {
	cursor: grabbing;
}

@media(max-width: 780px) {
	body, html {
		padding: 5px;
	}
	.page {
		width: auto;
		margin: auto;
        padding: 4% 4% 7%;
		border-radius: 0;
    }
	.main,
	.menu,
	.more,
	.footer {
		padding-left: 5%;
	}
	.main li {
		white-space: normal;
	}
	.menu li,
	.more li {
		margin-left: 0;
		display: inline;
		padding: 8px;
	}
	.screen1 {
		display: grid;
		grid-template-columns: auto auto auto auto;
		grid-template-areas:
		'header'
		'menu'
		'main'
		'more'
		'footer';
		width: auto;
		height: auto;
		border-radius: 30px;
	}
	.plasma {
		width: auto;
		margin: auto;
		padding: 3% 1% 3% 3%;
		border-radius: 0;
	}
	.screen2 {
		padding: 1%;
	}
}

@media(max-width: 400px) {
	body, html {
		padding: 0;
	}
}